import React from 'react';
import MapVis from './mapvis';
import { Provider } from 'react-redux';
import { configureStore } from '@reduxjs/toolkit';
import { assignNewGraphQueryResult, graphQueryResultSlice } from '../../data-access/store';
import { mockMobilityQueryResult, bigMockQueryResults } from '../../mock-data';

const Mockstore = configureStore({
  reducer: {
    graphQueryResult: graphQueryResultSlice.reducer,
  },
});

export default {
  title: 'Components/Visualizations/MapVis',
  component: MapVis,
  decorators: [
    (story: any) => (
      <Provider store={Mockstore}>
        <div
          style={{
            width: '100%',
            height: '100vh',
          }}
        >
          {story()}
        </div>
      </Provider>
    ),
  ],
};

const Template = (args: any) => <MapVis {...args} />;

export const DutchVehicleTheft: any = Template.bind({});
DutchVehicleTheft.play = async () => {
  const dispatch = Mockstore.dispatch;
  dispatch(assignNewGraphQueryResult({ type: 'nodelink', payload: mockMobilityQueryResult }));
};

export const AmericanFlights: any = Template.bind({});
AmericanFlights.play = async () => {
  const dispatch = Mockstore.dispatch;
  dispatch(assignNewGraphQueryResult({ type: 'nodelink', payload: bigMockQueryResults }));
};
